ColorPickerRendererBase (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.ColorPickerRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ColorPickerRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.richfaces.renderkit.InputRendererBase
                          org.richfaces.renderkit.ColorPickerRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ColorPickerRenderer

    public abstract class ColorPickerRendererBase

extends org.richfaces.renderkit.InputRendererBase

Field Summary
`static java.lang.String` | `BUNDLE`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ColorPickerRendererBase()`

Method Summary
`void` | `addPopupToAjaxRendered(javax.faces.context.FacesContext context, UIColorPicker component)`
`java.lang.String` | `encodeEvents(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `initButtonLabels(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `validateColorString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getComponentClass, getConvertedValue, getInputValue`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2
`encodeToHead`

Field Detail

### BUNDLE

    public static final java.lang.String BUNDLE

Constructor Detail

### ColorPickerRendererBase

    public ColorPickerRendererBase()

Method Detail

### addPopupToAjaxRendered

    public void addPopupToAjaxRendered(javax.faces.context.FacesContext context,
                                       UIColorPicker component)

### encodeEvents

    public java.lang.String encodeEvents(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

### validateColorString

    public void validateColorString(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    java.lang.String value)

### initButtonLabels

    public void initButtonLabels(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.